import request from '@/utils/request'

// 查询价值观解读列表
export function listSyPhilosophyViewType(query) {
  return request({
    url: '/sy/syPhilosophyViewType/list',
    method: 'get',
    params: query
  })
}

// 查询价值观解读详细
export function getSyPhilosophyViewType(id) {
  return request({
    url: '/sy/syPhilosophyViewType/' + id,
    method: 'get'
  })
}

// 新增价值观解读
export function addSyPhilosophyViewType(data) {
  return request({
    url: '/sy/syPhilosophyViewType',
    method: 'post',
    data: data
  })
}

// 修改价值观解读
export function updateSyPhilosophyViewType(data) {
  return request({
    url: '/sy/syPhilosophyViewType',
    method: 'put',
    data: data
  })
}

// 删除价值观解读
export function delSyPhilosophyViewType(id) {
  return request({
    url: '/sy/syPhilosophyViewType/' + id,
    method: 'delete'
  })
}

// 导出价值观解读
export function exportSyPhilosophyViewType(query) {
  return request({
    url: '/sy/syPhilosophyViewType/export',
    method: 'get',
    params: query
  })
}